Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.ui.desktop.standalone
Class StandaloneDesktop

    java.lang.Object
      com.eviware.soapui.ui.desktop.AbstractSoapUIDesktop
          com.eviware.soapui.ui.desktop.standalone.StandaloneDesktop

All Implemented Interfaces:
  SoapUIDesktop

    public class StandaloneDesktop

extends AbstractSoapUIDesktop

The default standalone soapUI desktop using a JDesktopPane

Author:
  Ole.Matzura

Nested Class Summary
`class` | `StandaloneDesktop.CloseAllAction`
`class` | `StandaloneDesktop.CloseCurrentAction`
`class` | `StandaloneDesktop.CloseOtherAction`

Constructor Summary
`StandaloneDesktop(Workspace workspace)`

Method Summary
`boolean` | `closeAll()`
`boolean` | `closeDesktopPanel(DesktopPanel desktopPanel)`
`boolean` | `closeDesktopPanel(ModelItem modelItem)`
`ActionList` | `getActions()`
`javax.swing.JComponent` | `getDesktopComponent()`
`DesktopPanel` | `getDesktopPanel(ModelItem modelItem)`
`DesktopPanel[]` | `getDesktopPanels()`
`boolean` | `hasDesktopPanel(ModelItem modelItem)`
`DesktopPanel` | `showDesktopPanel(DesktopPanel desktopPanel)`
`DesktopPanel` | `showDesktopPanel(ModelItem modelItem)`
`void` | `transferTo(SoapUIDesktop newDesktop)`

Methods inherited from class com.eviware.soapui.ui.desktop.AbstractSoapUIDesktop
`addDesktopListener, closeDependantPanels, fireDesktopPanelClosed, fireDesktopPanelCreated, fireDesktopPanelSelected, release, removeDesktopListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneDesktop

    public StandaloneDesktop(Workspace workspace)

Method Detail

### getDesktopComponent

    public javax.swing.JComponent getDesktopComponent()

### closeDesktopPanel

    public boolean closeDesktopPanel(DesktopPanel desktopPanel)

### hasDesktopPanel

    public boolean hasDesktopPanel(ModelItem modelItem)

### showDesktopPanel

    public DesktopPanel showDesktopPanel(ModelItem modelItem)

### closeDesktopPanel

    public boolean closeDesktopPanel(ModelItem modelItem)

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUIDesktop`
  Overrides:
    `getActions` in class `AbstractSoapUIDesktop`

### getDesktopPanels

    public DesktopPanel[] getDesktopPanels()

### getDesktopPanel

    public DesktopPanel getDesktopPanel(ModelItem modelItem)

### showDesktopPanel

    public DesktopPanel showDesktopPanel(DesktopPanel desktopPanel)

### transferTo

    public void transferTo(SoapUIDesktop newDesktop)

### closeAll

    public boolean closeAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.